DATA-CATALOG_ATTRIBUTE_CREATE(1)

NAME
data-catalog_attribute_create -

DESCRIPTION

Creates a new entity attribute.

USAGE

oci data-catalog attribute create [OPTIONS]

REQUIRED PARAMETERS

--catalog-id [text]

    Unique catalog identifier.

--data-asset-key [text]

    Unique data asset key.

--display-name [text]

    A user-friendly display name. Does not have to be unique, and it's changeable. Avoid entering confidential information.

--entity-key [text]

    Unique entity key.

--external-data-type [text]

    Data type of the attribute as defined in the external system.

--time-external [datetime]

    Last modified timestamp of this object in the external system.

    The following datetime formats are supported:

  UTC with milliseconds

Format: YYYY-MM-DDTHH:mm:ss.sssTZD
Example: 2017-09-15T20:30:00.123Z

  UTC without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T20:30:00Z

  UTC with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T20:30Z

  Timezone with milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00.456-08:00, 2017-09-15T12:30:00.456-0800

  Timezone without milliseconds

Format: YYYY-MM-DDTHH:mm:ssTZD
Example: 2017-09-15T12:30:00-08:00, 2017-09-15T12:30:00-0800

  Timezone with minute precision

Format: YYYY-MM-DDTHH:mmTZD
Example: 2017-09-15T12:30-08:00, 2017-09-15T12:30-0800

  Short date and time

The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

Format: 'YYYY-MM-DD HH:mm' or "YYYY-MM-DD HH:mm"
Example: '2017-09-15 17:25'

  Date Only

This date will be taken as midnight UTC of that day

Format: YYYY-MM-DD
Example: 2017-09-15

  Epoch seconds

Example: 1412195400

OPTIONAL PARAMETERS

--description [text]

    Detailed description of the attribute.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--is-incremental-data [boolean]

    Property that identifies if this attribute can be used as a watermark to extract incremental data.

--is-nullable [boolean]

    Property that identifies if this attribute can be assigned null values.

--length [integer]

    Max allowed length of the attribute value.

--position [integer]

    Position of the attribute in the record definition.

--precision [integer]

    Precision of the attribute value usually applies to float data type.

--properties [complex type]

    A map of maps that contains the properties which are specific to the attribute type. Each attribute type definition defines it's set of required and optional properties. The map keys are category names and the values are maps of property name to property value. Every property is contained inside of a category. Most attributes have required properties within the "default" category. To determine the set of required and optional properties for an attribute type, a query can be done on '/types?type=attribute' that returns a collection of all attribute types. The appropriate attribute type, which will include definitions of all of it's properties, can be identified from this collection. Example: {"properties": { "default": { "key1": "value1"}}} This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--scale [integer]

    Scale of the attribute value usually applies to float data type.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle